CREATE TABLE "person" (
  "id" INTEGER NOT NULL PRIMARY KEY GENERATED ALWAYS AS IDENTITY,
  "name" VARCHAR(15) NOT NULL
);
INSERT INTO "person"
  VALUES (DEFAULT, 'Shute, Gary');
INSERT INTO "person" ("id", "name")
  VALUES (DEFAULT, 'Doe, Janet');
INSERT INTO "person" ("name")
  VALUES ('Doe, John');
CREATE TABLE "manufacturer" (
  "id" INTEGER NOT NULL PRIMARY KEY GENERATED ALWAYS AS IDENTITY,
  "name" VARCHAR(15) NOT NULL
);
INSERT INTO "manufacturer" ("name")
  VALUES ('Ford');
INSERT INTO "manufacturer" ("name")
  VALUES ('General Motors');
INSERT INTO "manufacturer" ("name")
  VALUES ('Toyota');
CREATE TABLE "model" (
  "id" INTEGER NOT NULL PRIMARY KEY GENERATED ALWAYS AS IDENTITY,
  "name" VARCHAR(15) NOT NULL,
  "manufacturer" INTEGER NOT NULL
);
INSERT INTO "model" ("name", "manufacturer")
  VALUES (
    'Camry',
    (SELECT "manufacturer"."id" FROM "manufacturer"
      WHERE "manufacturer"."name" = 'Toyota'));
INSERT INTO "model" ("name", "manufacturer")
  VALUES (
    'Fusion',
    (SELECT "manufacturer"."id" FROM "manufacturer"
      WHERE "manufacturer"."name" = 'Ford'));
INSERT INTO "model" ("name", "manufacturer")
  VALUES (
    'Buick Regal',
    (SELECT "manufacturer"."id" FROM "manufacturer"
      WHERE "manufacturer"."name" = 'General Motors'));
CREATE TABLE "car" (
  "id" INTEGER NOT NULL PRIMARY KEY GENERATED ALWAYS AS IDENTITY,
  "vin" VARCHAR(17) NOT NULL,
  "model" INTEGER NOT NULL
);
INSERT INTO "car" ("vin", "model")
  VALUES (
    '0123456789abcdefg',
    (SELECT "model"."id" FROM "model"
      WHERE "model"."name" = 'Camry')
  );
INSERT INTO "car" ("vin", "model")
  VALUES (
    'abcdefg0123456789',
    (SELECT "model"."id" FROM "model"
      WHERE "model"."name" = 'Buick Regal')
  );
CREATE TABLE "ownership" (
  "id" INTEGER NOT NULL PRIMARY KEY GENERATED ALWAYS AS IDENTITY,
  "owner" INTEGER NOT NULL,
  "car" INTEGER NOT NULL
);
INSERT INTO "ownership" ("owner", "car")
  VALUES (
    (SELECT "person"."id" FROM "person"
      WHERE "person"."name" = 'Doe, Janet'),
    (SELECT "car"."id" FROM "car"
      WHERE "car"."vin" = '0123456789abcdefg')
  );
INSERT INTO "ownership" ("owner", "car")
  VALUES (
    (SELECT "person"."id" FROM "person"
      WHERE "person"."name" = 'Doe, John'),
    (SELECT "car"."id" FROM "car"
      WHERE "car"."vin" = '0123456789abcdefg')
  );
INSERT INTO "ownership" ("owner", "car")
  VALUES (
    (SELECT "person"."id" FROM "person"
      WHERE "person"."name" = 'Shute, Gary'),
    (SELECT "car"."id" FROM "car"
      WHERE "car"."vin" = 'abcdefg0123456789')
  );
